/*
2 sondes numériques DHT (température et humidité)
ce programme affiche les températures mesurées par sondes températures(temperature sensor V2) branchées sur les entrées de A0 à A3 du shield grove sur une carte arduino UNO
  c'est un programme simple qui permet de comprendre le fonctionnement de la prise de données, le calcul à partir d'elle puis l'affichage
  les mesures sont visibles dans le menu outils moniteur série sur le port COM3
  possibilité de capture dans un fichier avec le logiciel puTTY
 d'après un code de ladyada, public domain
https://github.com/SeeedDocument/Grove-Temperature_and_Humidity_Sensor_Pro/raw/master/res/Humidity_Temperature_Sensor_pro.zip
modifié par Jean-Louis Gaudibert
*/

#include "DHT.h"

#define DHTPIN1 4     // branchement sur la sortie digitale 4
#define DHTPIN2 5     // branchement sur la sortie digitale 5

// le capteur est le composant DHT22 
#define DHTTYPE DHT22   // DHT 22  (AM2302)

// définit les variables utilisées dans le programme
float h1;
float h2;
float t1;
float t2;
int compteur=0;
// crée la fonction pour chacune des sondes. la nomme et passe les arguments
DHT dht1(DHTPIN1, DHTTYPE);
DHT dht2(DHTPIN2, DHTTYPE);

void setup() {
  // débute la liaison série à 9600 bauds
  Serial.begin(9600); 
 
 // démarre les deux entités de fonction
  dht1.begin();
  dht2.begin();
}

void loop() {
  // Reading temperature or humidity takes about 250 milliseconds!
  // Sensor readings may also be up to 2 seconds 'old' (its a very slow sensor)
  h1 = dht1.readHumidity();
  t1 = dht1.readTemperature();
  h2 = dht2.readHumidity();
  t2 = dht2.readTemperature();
  compteur = compteur + 1;

  // check if returns are valid, if they are NaN (not a number) then something went wrong!
  if (isnan(t1) || isnan(h1)) {
    Serial.println("Failed to read from DHT");
  } else {
    Serial.print(compteur);
    Serial.print(";");
    Serial.print(h1);
    Serial.print(";"); 
    Serial.print(h2);
    Serial.print(";");
    Serial.print(t1); 
    Serial.print(";");
    Serial.println(t2);
    delay(60000);        // delay 60000 = 1 min in between reads = une mesure toutes les 10sec
  }
}
